geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vasily Zakharov" <...@apache.org>
Subject Upgrading jaxb-impl 2.0.5 to 2.1.6 ?
Date Fri, 04 Apr 2008 17:13:14 GMT
Hi, all,

I see Geronimo still uses jaxb-impl version 2.0.5, while 2.1.6 is the
latest stable release.
Is there any particular reason for that?
What do you people think about switching to 2.1.x?

I was recently investigating a nasty intermittent failure of
org.apache.geronimo.cxf.CXFHandlerResolverTest test on Harmony
(HARMONY-5625) and it seems the problem is in JAXB implementation. The
problem occurs on jaxb-impl-2.1.3 and earlier and doesn't occur on
jaxb-impl-2.1.4 and later. I suspect JAXB issue 383 [1] is the cause.

In other words, bugs in jaxb-impl 2.0.5 are affecting Geronimo
operation, at least on Harmony, and that looks like a reason for
switching to a newer release.

Vasily

[1] https://jaxb.dev.java.net/issues/show_bug.cgi?id=383

Mime
View raw message